## org.eclipse.emf.ocl.uml
Interface UMLFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  UMLFactoryImpl

Deprecated. Use the `EcoreFactory` interface, instead.

    @Deprecated
    public interface UMLFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `UMLPackage`

Field Summary
`static String` `copyright` Deprecated.
`static UMLFactory` `eINSTANCE` Deprecated. The singleton instance of the factory

Method Summary
`CallOperationAction` `createCallOperationAction()` Deprecated. Returns a new object of class 'Call Operation Action'
`Constraint` `createConstraint()` Deprecated. Returns a new object of class 'Constraint'
`SendSignalAction` `createSendSignalAction()` Deprecated. Returns a new object of class 'Send Signal Action'
`UMLPackage` `getUMLPackage()` Deprecated. Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eINSTANCE

    static final UMLFactory eINSTANCE

  Deprecated.
  The singleton instance of the factory.

Method Detail

### createCallOperationAction

    CallOperationAction createCallOperationAction()

  Deprecated.
  Returns a new object of class 'Call Operation Action'.

  Returns:
    a new object of class 'Call Operation Action'.

### createConstraint

    Constraint createConstraint()

  Deprecated.
  Returns a new object of class 'Constraint'.

  Returns:
    a new object of class 'Constraint'.

### createSendSignalAction

    SendSignalAction createSendSignalAction()

  Deprecated.
  Returns a new object of class 'Send Signal Action'.

  Returns:
    a new object of class 'Send Signal Action'.

### getUMLPackage

    UMLPackage getUMLPackage()

  Deprecated.
  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.